%-----------------------------------------------------------------------------------------------
% MATLAB Distributed Job
%
% This MATLAB program shows the use of the Arton SLURM "Slurm" cluster profile
% for executing three independent calculating tasks.  
%  
%-----------------------------------------------------------------------------------------------
myCluster = parcluster('Slurm');   % returns a cluster object for the arton SLURM cluster 
job = createJob(myCluster);            % create job for cluster
createTask(job,@rand,1,{{1} {2} {3}}); % Three rand tasks with three different inputs 
submit(job);                           % tasks may be submitted to different nodes
wait(job);                             % wait for jobs to complete
results = getAllOutputArguments(job);  % Get the results
celldisp(results);                     % Display the results   
destroy(job);                          % Destroy all the traces for garbage mgmt
exit;
